<?php
$translator = Zend_Registry::getInstance ()->get ('Zend_Translate');

// Add scripts
$this->headScript()->appendFile('/js/byrei-dyndiv_1.0rc1.js');
$this->headScript()->appendFile('/js/ipresoDialog.js');
$this->headScript()->appendFile('/js/quickupdate.js');
$this->headScript()->appendFile('/js/mooRainbow.js');

//if ($this->orientation)
//    $this->headScript ()->appendFile ('/js/orientation.js');
$this->headScript()->appendScript($this->variables);

// Add CSS for Monitoring
$this->headLink ()->appendStylesheet ('/css/byrei-dyndiv_0.5.css');
$this->headLink ()->appendStylesheet ('/css/catalog.css');
$this->headLink ()->appendStylesheet ('/css/mooRainbow.css');

// Hidden fields
echo "<form id=\"progEdit\" method=\"post\">\n";
echo "  <input type=\"hidden\" id=\"referer\" name=\"referer\" value=\""
        .$this->referer."\" />\n";
echo "  <input type=\"hidden\" id=\"emissionId\" name=\"emissionId\" value=\""
        .$this->emission."\"/>\n";
echo "  <input type=\"hidden\" id=\"emissionDel\" name=\"emissionDel\" value=\"\" />";
echo "  <input type=\"hidden\" id=\"progId\" name=\"progId\" value=\"\"/>\n";
echo "  <input type=\"hidden\" id=\"origEmiName\" name=\"origEmiName\" value=\""
        .$this->emiLabel."\" />\n";
echo "  <input type=\"hidden\" id=\"from\" name=\"from\" value=\""
        .$this->from."\"/>\n";
echo "  <input type=\"hidden\" id=\"emiLayout\" value=\"\" />\n";
echo "</form>\n";

?>

<h1><?echo $translator->translate ('Quick Update');?></h1>
<hr>
<br>
<div id="emission">
<div id="boxL">
    <div id="catalogBox" class="boxContent">
    </div>
    <div id="myUploadDiv">
      <a id="myUploadBox" href="#"><img alt="up" src="/images/Upload.png" />
        <?echo $translator->translate ('Upload a new file');?>
      </a>
    </div>
</div>

<div id="boxM">
    <select id="emiSelect" name="emiSelect" style="width: 270px;">
    </select>
    <input type="text" name="newEmiName" id="newEmiName" value="" />
    <div id="emiLinks" style="width: 70px; float: right; text-align: right; display: none;">
        <a href="#" id="emiRename" style="display: block;"><?echo $translator->translate ('Rename');?></a>
        <a href="#" id="emiDelete" style="display: block;"><?echo $translator->translate ('Delete');?></a>
    </div>
    <div id="tv">
        <div id="layout" class="dynDiv_setLimit">
        </div>
    </div>
</div>

<div id="boxR">
    <div class="boxContent" id="contextualBox">
        <ul id="zonesList"></ul>
    </div>
</div>
</div>

<div style="clear: both;"></div>

<div class="footer_buttons">
  <input type="submit" id="bCancel" value="<?echo $translator->translate ('Cancel');?>" />
  <input type="submit" id="bSave" value="<?echo $translator->translate ('Save to the Catalog');?>" />
</div>
<br>
<div id="emiSaved" class="emiSaved" align="center">
	<img src="/images/Ok.png" />&nbsp;&nbsp;<b><?echo $translator->translate ('Show saved');?></b>
</div>
